<template>
    <b-list-group >
        <b-list-group-item v-for="(entry, index) of data" :key="index"
            v-b-tooltip.hover title="Click to remove"
            href="#"
            :variant="getVariantByIndex(index)"
            @click="$emit('remove',index)"
            >
                {{entry}}
        </b-list-group-item>
    </b-list-group>
</template>

<script>
export default {
    name: "ListView",
    props: {
        data: Array,
        currentIndex: Number,
        nextIndex: Number
    },
    methods: {
        getVariantByIndex(index){
            if (index === this.currentIndex){
                return "primary"
            }else if(index === this.nextIndex){
                return "secondary"
            }else{
                return ""
            }
        }
    }
}
</script>

<style>

</style>